/// <reference path="../../types.d.ts" />
import { MqttHandle } from './src/mqtt';
import { GcHandle } from './src/gc';
import { WindowHandle } from "./src/window";
declare global {
    var _pre_: Readonly<{
        gc: GcHandle;
        mqtt: MqttHandle;
        window: WindowHandle;
        getWebContentId(): number;
        getCookie(data: Electron.CookiesGetFilter): Promise<Electron.Cookie[]>;
        setCookie(data: Electron.CookiesSetDetails): Promise<void>;
    }>;
}
